| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::iNTupleSvc Class Reference

Inheritance diagram for GaudiPython::Bindings::iNTupleSvc:

[legend]
Collaboration diagram for GaudiPython::Bindings::iNTupleSvc:

[legend]

List of all members.

## Detailed Description

Definition at line 424 of file Bindings.py.

## Public Member Functions
def | __init__
def | book
def | defineOutput
def | __getitem__
## Public Attributes
| Output
## Static Public Attributes
int | RowWiseTuple = 42
int | ColumnWiseTuple = 43

## Member Function Documentation

def GaudiPython::Bindings::iNTupleSvc::__init__ | ( |  | self,
|  |  | name,
|  |  | ints |
| ) |  |  |

Reimplemented from GaudiPython::Bindings::iDataSvc.

Definition at line 427 of file Bindings.py.

    00427                                  :
    00428     self.__dict__['_ints'] = InterfaceCast(gbl.INTupleSvc)(ints)
    00429     iDataSvc.__init__(self, name, ints)
      def book(self, *args) :

def GaudiPython::Bindings::iNTupleSvc::book | ( |  | self,
|  |  | args |
| ) |  |  |

Definition at line 430 of file Bindings.py.

    00430                         :
    00431     return apply(self._ints.book, args)
      def defineOutput(self, files, typ='ROOT') :

def GaudiPython::Bindings::iNTupleSvc::defineOutput | ( |  | self,
|  |  | files,
|  |  | typ = `'ROOT'` |
| ) |  |  |

    Defines dthe mapping between logical names and the output file
    Usage:
      defineOutput({'LUN1':'MyFile1.root', 'LUN2':'Myfile2.root'}, typ='ROOT')

Definition at line 432 of file Bindings.py.

    00432                                             :
    00433     """ Defines dthe mapping between logical names and the output file
    00434         Usage:
    00435           defineOutput({'LUN1':'MyFile1.root', 'LUN2':'Myfile2.root'}, typ='ROOT')
    00436     """
    00437     out = []
    00438     for o in files :
    00439       out.append( "%s DATAFILE='%s' OPT='RECREATE' TYP='%s'" % ( o, files[o], typ ) )
    00440     self.Output = out
    00441     if AppMgr().HistogramPersistency == 'NONE' : AppMgr().HistogramPersistency = typ
      def __getitem__ ( self, path ) :

def GaudiPython::Bindings::iNTupleSvc::__getitem__ | ( |  | self,
|  |  | path |
| ) |  |  |

Reimplemented from GaudiPython::Bindings::iDataSvc.

Definition at line 442 of file Bindings.py.

    00442                                  :
    00443     return iDataSvc.__getitem__( self , path )
    00444
    00445
    00446 #----iToolSvc class---------------------------------------------------------------------
    class iToolSvc(iService) :

## Member Data Documentation

int GaudiPython::Bindings::iNTupleSvc::RowWiseTuple = 42`[static]`

Definition at line 425 of file Bindings.py.

int GaudiPython::Bindings::iNTupleSvc::ColumnWiseTuple = 43`[static]`

Definition at line 426 of file Bindings.py.

GaudiPython::Bindings::iNTupleSvc::Output

Definition at line 440 of file Bindings.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py